Subject: Re: How can we bound one CPU to one Gigabit NIC?

From: Ben Greear <[email-masked]>
Date: Mon, 07 Oct 2002 11:24:28 -0700

Xiaoliang (David) Wei wrote:
> Hi Everyone,
>       I am now doing some experiments on Dual CPU (2.4Ghz) with 2 Gigabit
> cards. Can anyone tell me how to bound one CPU to each NIC so that we don't
> need to care about the packet-reordering and the interrupt sharing problems?
>       Thank you very much.:)

My experiments show you will still get re-ordered packets occasionally
(but then again, I'm having other wierd problems, so maybe you wont).

# Bind processor 2 (1<<1) to irq 11
echo 2 > /proc/irq/11/smp_affinity

# Bind processor 1 (1<<0) to irq 19
echo 1 > /proc/irq/9/smp_affinity

I will be interested to hear of your results, as I have been having
heating problems with e1000 and other problems with tg3 based nics!

Ben

> 
> 
> 
> Xiaoliang (David) Wei             Graduate Student in CS@Caltech
> http://www.cs.caltech.edu/~weixl
> ====================================================
> 

-- 
Ben Greear <[email-masked]>       <Ben_Greear AT excite.com>
President of Candela Technologies Inc      http://www.candelatech.com
ScryMUD:  http://scry.wanfear.com     http://scry.wanfear.com/~greear